# $Revision: 1.3.2.1 $, $Date: 2003/03/13 00:58:29 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	perlmenu
Summary:	PerlMenu - Perl library module for curses-based menus & data-entry templates
Summary(pl):	PerlMenu - modu Perla z menu opartymi na curses i szablonami dla danych
Name:		perl-PerlMenu
Version:	4.0
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/S/SK/SKUNZ/%{pdir}.v%{version}.tar.gz
Patch0:		%{name}-tput.patch
URL:		http://www.cc.iastate.edu/perlmenu/
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PerlMenu - Perl library module for curses-based menus & data-entry
templates.

%description -l pl
PerlMenu - modu biblioteki Perla z menu opartymi na curses oraz
szablonami formularzy do wpisywania danych.

%prep
%setup  -q -n %{pdir}.v%{version}
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{perl_sitelib},%{_examplesdir}/%{name}-%{version}}

install -m644 perlmenu.pm menuutil.pl $RPM_BUILD_ROOT%{perl_sitelib}
for item in demo* ez* paint* template* ; do 
	sed 's=#!/usr/local/bin/perl5=!/usr/bin/perl=' <$item \
	>$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/$item
done
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc FAQ MENUUTIL_DOC MENU_DOC README RELEASE_NOTES TO_DO
%{perl_sitelib}/*
%{_examplesdir}/%{name}-%{version}

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-PerlMenu.spec,v $
Revision 1.3.2.1  2003/03/13 00:58:29  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.3  2003/02/18 15:37:38  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/12/12 19:43:16  qboosh
- pl description

Revision 1.1  2002/12/11 12:22:25  wiget
- initial release
